EventException (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.ext
Class EventException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.slf4j.ext.EventException

All Implemented Interfaces:
  Serializable

    public class EventException

extends RuntimeException

Exception used to identify issues related to an event that is being logged.

See Also:
  Serialized Form

Constructor Summary
`EventException()` Default constructor.
`EventException(String exceptionMessage)` Constructor that allows an exception message.
`EventException(String exceptionMessage, Throwable originalException)` Constructor that chains another Exception or Error and also allows a message to be specified.
`EventException(Throwable originalException)` Constructor that chains another Exception or Error.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventException

    public EventException()

  Default constructor.

### EventException

    public EventException(String exceptionMessage)

  Constructor that allows an exception message.

  Parameters:
    `exceptionMessage` - The exception message.

### EventException

    public EventException(Throwable originalException)

  Constructor that chains another Exception or Error.

  Parameters:
    `originalException` - The original exception.

### EventException

    public EventException(String exceptionMessage,
                          Throwable originalException)

  Constructor that chains another Exception or Error and also allows a message to be specified.

  Parameters:
    `exceptionMessage` - The exception message.
    `originalException` - The original excepton.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.